import React, { useState } from "react";

  const Modal = () => {
    const [modal, setModal] = useState(false);
    const [modalButton, setModalButton] = useState();

    const handleClick = () => {
      setModal(!modal);
      setModalButton(!modalButton);
    }

    return (
      <>
      <p className="flex justify-center text-2xl font-bold">Modal Component</p>
      <div className="flex justify-center mt-20">
        <div className="rounded">
          <button className="mt-4 px-4 py-3 bg-blue-500 text-white rounded"
          onClick={handleClick}
          >
            {modalButton ? "Show Modal" : "Hide Modal"}
          </button>
        </div>
      </div>
      {modal && (
        <div className="flex items-center justify-center bg-opacity-50">
          <div className="h-100 w-100 bg-white p-6 rounded shadow-lg">
            <h2 className="text-lg font-bold">This is a Modal</h2>
            <p>Click Toggle button to close.</p>
          </div>
        </div>
      )}
      </>
    );
  };

  export default Modal;